﻿using SfDataGrid_Demo;
using Syncfusion.WinForms.Controls;
using Syncfusion.WinForms.DataGrid;
using System;
using System.Collections;
using System.Linq;
using System.Windows.Forms;
using Syncfusion.WinForms.DataGrid.Enums;
using System.Drawing;
using Syncfusion.WinForms.DataGrid.Renderers;
using Syncfusion.WinForms.GridCommon.ScrollAxis;
using Syncfusion.Data.Extensions;
using System.ComponentModel;

namespace SfDataGrid_Demo
{
    /// <summary>
    /// Summary description for Form1.
    /// </summary>
    public partial class Form1 : Form
    {
        #region Constructor

        BindingList<OrderInfo> collection;

        /// <summary>
        /// Initializes the new instance for the Form.
        /// </summary>
        public Form1()
        {
            InitializeComponent();
            this.sfDataGrid1.AutoGenerateColumns = false;
            this.sfDataGrid1.AutoSizeColumnsMode = AutoSizeColumnsMode.AllCells;
            collection = new OrderInfoCollection().OrdersListDetails;
            sfDataGrid1.DataSource = collection;

            sfDataGrid1.Columns.Add(new GridTextColumn()
            {
                MappingName = "OrderID",
                
            });

            sfDataGrid1.Columns.Add(new GridTextColumn()
            {
                MappingName = "CustomerID",
            });

            this.sfDataGrid1.View.Records.CollectionChanged += Records_CollectionChanged;
        }

        private void Records_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            if (this.sfDataGrid1.View.Records.Count > 0)
            {
                sfDataGrid1.AutoSizeController.ResetAutoSizeWidthForAllColumns();
                sfDataGrid1.AutoSizeController.Refresh();
            }
        }

        #endregion

        private void button1_Click(object sender, EventArgs e)
        {
            collection.Add(new OrderInfo()
            {
                OrderID = 101010,
                CustomerID = "This is a Longest test"
            });
        }
    }
}
